## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests available from upstream yet.
%bcond_with     tests

%global         srcname     azure-mgmt-batchai

Name:           python-%{srcname}
Version:        7.0.0b1
Release:        %autorelease
Summary:        Microsoft Azure Batch AI Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
# This source comes from making a git archive of the main azure-sdk-for-python
# repository. To reproduce the source code, run the generate-source.sh script.
Source0:        %{srcname}-%{version}.tgz

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Batch AI Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:7.0.0b1-11
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:7.0.0b1-10
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0b1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0b1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:7.0.0b1-7
- Check imports using GitHub source code

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:7.0.0b1-6
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:7.0.0b1-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.0.0b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:7.0.0b1-3
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:7.0.0b1-2
- Fix changelog

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:7.0.0b1-1
- Update to 7.0.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-3
- Remove python version macro

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-2
- Update changelog

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:2.0.0-1
- Add epoch number to 2.0.0 downgrade

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- Revert "Update to 7.0.0b1"

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 7.0.0b1-1
- Update to 7.0.0b1

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> - 2.0.0-3
- Remove unneccessary __init__.py files to avoid file conflicts

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> - 2.0.0-2
- Remove custom wheel generator

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 2.0.0-1
- Initial import (#1971780)
